Bug 201833 - assembly code does not show automatically when walking non-g stack frame
assembly code does not show automatically when walking non-g stack frame
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0.1
All All
: P2 (vote)
: 7.1
Assigned To: Egor Ushakov
issues@cnd
CR_7047065, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 15:06 UTC by Egor Ushakov
Modified: 2011-09-29 09:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-09-08 15:06:53 UTC
steps to reproduce:
- attach to quote sample
it will stop in read but do not open the disassembly
Comment 1 Egor Ushakov 2011-09-22 13:16:10 UTC
fixed in:
http://hg.netbeans.org/cnd-main/rev/1fcca7570a90

now we always show disassembly if source information is not available but switch back to source code when available unless users explicitly requested the disassembly view
Comment 2 Vladimir Voskresensky 2011-09-22 13:30:28 UTC
I reviewed the fix and it looks safe and correct
Comment 3 Egor Ushakov 2011-09-22 13:32:00 UTC
integrated into releases_elif:
releases_elif/rev/bae770984b22
Comment 4 Alexander Pepin 2011-09-22 16:57:12 UTC
verified in sputnik-solstudio-main build #3313 (20110922)
Comment 5 Quality Engineering 2011-09-23 13:21:01 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1fcca7570a90
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201833 (assembly code does not show automatically when walking non-g stack frame)
Comment 6 Quality Engineering 2011-09-26 13:33:45 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/bae770984b22
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201833 (assembly code does not show automatically when walking non-g stack frame)
(transplanted from 1fcca7570a90be3faac7ef06a47848be3b592a7b)
Comment 7 Alexander Pepin 2011-09-29 09:41:14 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo